import bb.cascades 1.0

SceneCover {
    property alias title: titleLabel.text

    function getDayName(date) {
        var d = ['ne','po','út','st', 'čt','pá','so'];
        return d[date.getDay()];
    }

    // TODO: NOT A CORRECT DATE
    function reformatDate(date) {
        var date = new Date()

        var result = getDayName(date) + ", " + date.getDate() + ". " +
                (date.getMonth() + 1) + ". " + date.getFullYear()

        return result
    }

    // The content property must be explicitly specified
    content: Container {
        Container {
            layout: StackLayout {
            }
            background: Color.Black

            Label {
                id: titleLabel

                text: _downloader.loadedDate

                leftMargin: 10

                preferredHeight: 62

                textStyle {
                    color: Color.White
                }
            }



            Container {
                layout: DockLayout {
                }

                ImageView {
                    imageSource: "asset:///images/active-frame-background.png"
                }

                ListView {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Bottom

                    topMargin: 24

                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 6
                    }

                    dataModel: _topModel

                    listItemComponents: [
                        ListItemComponent {
                            type: "item"

                            Container {
                                layout: StackLayout {
                                    orientation: LayoutOrientation.LeftToRight
                                }

                                leftPadding: 10
                                rightPadding: 10
                                topPadding: 10
                                bottomPadding: 10

                                preferredHeight: 112

                                // flag
                                ImageView {
                                    imageSource: "asset:///images/" + ListItemData.code + ".png"

                                    preferredWidth: 66
                                    preferredHeight: 50
                                }

                                // code
                                Label {
                                    text: ListItemData.code

                                    preferredWidth: 80

                                    textStyle {
                                        color: Color.White
                                        fontWeight: FontWeight.Bold
                                    }
                                }

                                // rate
                                Label {
                                    text: ListItemData.rate

                                    textStyle {
                                        color: Color.White
                                    }
                                }
                            }
                        }
                    ]
                }
            }
        }
    }
}
