/*
 * ExchangeRateItemProvider.cpp
 *
 *  Created on: Dec 18, 2012
 *      Author: jreznik
 */

#include "ExchangeRateItemProvider.h"
#include "ExchangeRateItem.h"
#include "ExchangeRateListItem.h"

#include <bb/cascades/ListView>
#include <bb/cascades/StandardListItem>

using namespace bb::cascades;

ExchangeRateItemProvider::ExchangeRateItemProvider(QObject *parent)
: ListItemProvider(parent)
{
}

bb::cascades::VisualNode* ExchangeRateItemProvider::createItem(bb::cascades::ListView*, const QString&)
{
    qDebug() << "New item";
	return new ExchangeRateListItem();
}

void ExchangeRateItemProvider::updateItem(bb::cascades::ListView*, bb::cascades::VisualNode *control, const QString&,
		const QVariantList&, const QVariant &data)
{
    const ExchangeRateItem item = data.value<ExchangeRateItem>();

	ExchangeRateListItem * guiItem = qobject_cast<ExchangeRateListItem*>(control);

	guiItem->setCurrencyText("BLABLA");
}
