/*
 * ExchangeRateItemProvider.h
 *
 *  Created on: Dec 18, 2012
 *      Author: jreznik
 */

#ifndef EXCHANGERATEITEMPROVIDER_H_
#define EXCHANGERATEITEMPROVIDER_H_

#include <bb/cascades/ListItemProvider>

class ExchangeRateItemProvider : public bb::cascades::ListItemProvider {
	Q_OBJECT
public:
	explicit ExchangeRateItemProvider(QObject *parent = 0);

	bb::cascades::VisualNode * createItem(bb::cascades::ListView* list, const QString &type);

	void updateItem(bb::cascades::ListView *list, bb::cascades::VisualNode *control, const QString &type,
	                        const QVariantList &indexPath, const QVariant &data);

};

QML_DECLARE_TYPE(ExchangeRateItemProvider)

#endif /* EXCHANGERATEITEMPROVIDER_H_ */
