// List with context menu project template
#ifndef CnbklBb10_HPP_
#define CnbklBb10_HPP_

#include <QObject>

#include "ExchangeRatesDownloader.h"

namespace bb { namespace cascades { class Application; }}

/*!
 * @brief Application pane object
 *
 *Use this object to create and init app UI, to create context objects, to register the new meta types etc.
 */
class CnbklBb10 : public QObject
{
    Q_OBJECT
public:
    CnbklBb10(bb::cascades::Application *app);
    virtual ~CnbklBb10() {}

    ExchangeRatesDownloader downloader;
};

#endif /* CnbklBb10_HPP_ */
