/*
 * ExchangeRateListItem.h
 *
 *  Created on: Dec 18, 2012
 *      Author: jreznik
 */

#include <bb/cascades/CustomControl>
#include <bb/cascades/ListItemListener>

using namespace bb::cascades;

namespace bb {
namespace cascades {
class ImageView;
class Image;
class Label;
class Container;
}
}

#ifndef EXCHANGERATELISTITEM_H_
#define EXCHANGERATELISTITEM_H_

class ExchangeRateListItem : public bb::cascades::CustomControl, public ListItemListener {
	Q_OBJECT
public:
	ExchangeRateListItem(Container *parent = 0);

	void setCurrencyText(const QString &currencyText);

    void select(bool select);
    void reset(bool selected, bool activated);
    void activate(bool activate);
private:
	Label *m_itemCurrency;
};

#endif /* EXCHANGERATELISTITEM_H_ */
