#include <QObject>
#include <QString>
#include <QVariant>
#include <QMetaType>
#include <bb/cascades/QListDataModel>

#ifndef EXCHANGERATESMODELBB_H_
#define EXCHANGERATESMODELBB_H_

class ExchangeRatesModelBB : public bb::cascades::QVariantListDataModel {
	Q_OBJECT
public:
	ExchangeRatesModelBB(QObject* parent = 0);
	virtual ~ExchangeRatesModelBB();

	Q_INVOKABLE void load(const QString formattedDate);

	Q_INVOKABLE QVariant value(int ix, const QString &fld_name);

private:
	QNetworkAccessManager *m_manager;
    QNetworkReply *m_reply;
    QString m_date;
    QString m_revision;

    QString getDate() const { return m_date; }

private slots:
    void requestFinished();
    void requestProgress(qint64, qint64);
    void slotError(QNetworkReply::NetworkError code);
    void slotReadyRead();
};

#endif /* EXCHANGERATESMODELBB_H_ */
